<?php $commentMapper = new \Modules\Comment\Mappers\Comment(); ?>

<style>
@media (max-width: 990px){
    #gallery > [class*="col-"]{
        padding: 0px !important;
    }
}
#gallery a:hover, #gallery a:focus{
	text-decoration:none;
}
.panel-body{
    overflow:hidden;
}
.thumbnail{
    position:relative;
    overflow:hidden;
    margin-bottom:0px !important;
}
.panel-image{
	border-radius:3px 3px 0 0;
	border:none;
}
.panel-image-preview{
    border-radius:0px;
	border:none;
	cursor:-webkit-zoom-in;
	cursor:-moz-zoom-in;
	cursor:zoom-in;
    -webkit-transition:all 0.5s;
	-moz-transition:all 0.5s;
    transition:all 0.5s;
} 
.panel-image-preview:hover{
    -webkit-transform:scale(1.1);
	-moz-transform:scale(1.1);
    transform:scale(1.1);
	-webkit-filter:opacity(75%);
	-moz-filter:opacity(75%);
    filter:opacity(75%);
}
.panel-footer{
	font-size:14px;
    padding:5px !important;
    color:#bbb;
}
.panel-footer:hover{
    color:#000;
	background:#ddd;
	cursor:-webkit-cell;
	cursor:-moz-cell;
	cursor:cell;
}
</style>

<div id="gallery">
    <?php foreach ($this->get('image') as $image): ?>
		<?php $commentsCount = $commentMapper->getCountComments('gallery/index/showimage/id/'.$image->getId()); ?>
        <div class="col-xs-6 col-md-4 col-lg-3 col-sm-4">
            <div class="panel panel-default">
                <a href="<?=$this->getUrl().'/'.$image->getImageUrl() ?>" title="<?=$image->getImageTitle() ?>" data-lightbox="gallery">
                    <div class="panel-image thumbnail">
                        <img src="<?=$this->getUrl().'/'.$image->getImageThumb() ?>" class="panel-image-preview" alt="<?=$image->getImageTitle() ?>" />
                    </div>
                </a>
                <a href="<?=$this->getUrl(['action' => 'showimage', 'id' => $image->getId()]) ?>" title="<?=$this->getTrans('imageDesc') ?>">
                    <div class="panel-footer text-center">
                        <i class="fa-regular fa-comment"> <?=$commentsCount ?></i>
                        <i class="fa-regular fa-eye"> <?=$image->getVisits() ?></i>
                    </div>
                </a>
            </div>
        </div>
    <?php endforeach; ?>
</div>

<?=$this->get('pagination')->getHtml($this, ['action' => 'show', 'id' => $this->getRequest()->getParam('id')]) ?>

<script>
    lightbox.option({
		'albumLabel' : "<?=$this->getTrans('image') ?> %1 / %2",
		'alwaysShowNavOnTouchDevices' : true,
    })
</script>